{% extends "layouts/base.html" %}

{% block title %} Sala de situación {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}
<style>
.two-digits-float {
  font-size:75%;
};

</style>


{% endblock stylesheets %}

{% block content %}
    {% if 'identified' in session and session['identified']%}
    <div class="content">
        <div class="panel-header bg-primary-gradient">
            <div class="page-inner py-5">
                <div class="d-flex align-items-left align-items-md-center flex-column flex-md-row">
                    <div>
                        <h2 class="text-white pb-2 fw-bold">Sala de situación COVID</h2>
                        <h5 class="text-white op-7 mb-2">Resumen</h5>
                    </div>
                <!--    <div class="ml-md-auto py-2 py-md-0">
                        <a href="#" class="btn btn-white btn-border btn-round mr-2">Manage</a>
                        <a href="#" class="btn btn-secondary btn-round">Add Customer</a>
                    </div>-->
                </div>
            </div>
        </div>
            <div class="row mt--2">
                <div class="col-md-11">
                    <div class="card full-height">
                        <div class="card-body">
                            <div class="card-title">Seguimiento casos de COVID-19</div>
                            <div class="card-category">Estadísticas generales</div>
                            <div class="d-flex flex-wrap justify-content-around pb-2 pt-4">
                                <div class="px-2 pb-2 pb-md-0 text-center">
                                    <div id="circles-total"></div>
                                    <h6 class="fw-bold mt-3 mb-0">Total de seguimientos: {{ ct['daily_count'][-1]['accumulate'] }}</h6>
                                </div>
                                <div class="px-2 pb-2 pb-md-0 text-center">
                                    <div id="circles-recuperated"></div>
                                    <h6 class="fw-bold mt-3 mb-0">Recuperados: {{ ct['total_recuperated'] }}</h6>
                                </div>
                                <div class="px-2 pb-2 pb-md-0 text-center">
                                    <div id="circles-deceased"></div>
                                    <h6 class="fw-bold mt-3 mb-0">Decesos: {{ ct['total_deceased'] }}</h6>
                                </div>
                                <div class="px-2 pb-2 pb-md-0 text-center">
                                    <div id="circles-positive"></div>
                                    <h6 class="fw-bold mt-3 mb-0">Positivos: {{ ct['daily_count'][-1]["accumulate_positives"] }}</h6>
                                </div>
                                <div class="px-2 pb-2 pb-md-0 text-center">
                                    <div id="circles-negative"></div>
                                    <h6 class="fw-bold mt-3 mb-0">Negativos: {{ ct['daily_count'][-1]["accumulate_negatives"] }}</h6>
                                </div>
                            </div>
                            <div class="card-category">Seguimientos activos</div>
                            <div class="d-flex flex-wrap justify-content-around pb-2 pt-4">
                            </div>
                            <div class="card-category">Seguimientos concluídos</div>
                            <div class="d-flex flex-wrap justify-content-around pb-2 pt-4">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-11">
                    <div class="card">
                        <div class="card-header">
                            <div class="card-head-row">
                                <div class="h1 card-title">Cantidad de contactos diarios</div>
                                <div class="card">
                                    <div class="card-body pb-0">
                                        <div class="h3 fw-bold float-right text-warning">Fecha de inicio: {{ ct['daily_count'][0]['day'] }}</div>
                                        <h2 class="mb-2">{{ ct['daily_count'][-1]['accumulate'] }} contactos</h2>
                                        <p class="text-muted"></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="pull-in sparkline-fix">
                                <div class="card-category">Conteos acumulados</div>
                                <div id="accumulativeChart"></div>
                                <span class="mouseoverregionAccumulative"></span>
                            </div>
                            <div id="myChartLegend"></div>
                        </div>
                        <div class="card-body">
                            <div class="pull-in sparkline-fix">
                                <div class="card-category">Conteos diarios</div>
                                <div id="dailyCountChart"></div>
                                <span class="mouseoverregion"></span>
                            </div>
                            <div id="myChartLegend"></div>

                        </div>
                    </div>
                </div>

            </div>
<!--            <div class="row row-card-no-pd">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            <div class="card-head-row card-tools-still-right">
                                <h4 class="card-title">Users Geolocation</h4>
                                <div class="card-tools">
                                    <button class="btn btn-icon btn-link btn-primary btn-xs"><span class="fa fa-angle-down"></span></button>
                                    <button class="btn btn-icon btn-link btn-primary btn-xs btn-refresh-card"><span class="fa fa-sync-alt"></span></button>
                                    <button class="btn btn-icon btn-link btn-primary btn-xs"><span class="fa fa-times"></span></button>
                                </div>
                            </div>
                            <p class="card-category">
                            Map of the distribution of users around the world</p>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="table-responsive table-hover table-sales">
                                        <table class="table">
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <div class="flag">
                                                            <img src="/static/assets/img/flags/id.png" alt="indonesia">
                                                        </div>
                                                    </td>
                                                    <td>Indonesia</td>
                                                    <td class="text-right">
                                                        2.320
                                                    </td>
                                                    <td class="text-right">
                                                        42.18%
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <div class="flag">
                                                            <img src="/static/assets/img/flags/us.png" alt="united states">
                                                        </div>
                                                    </td>
                                                    <td>USA</td>
                                                    <td class="text-right">
                                                        240
                                                    </td>
                                                    <td class="text-right">
                                                        4.36%
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <div class="flag">
                                                            <img src="/static/assets/img/flags/au.png" alt="australia">
                                                        </div>
                                                    </td>
                                                    <td>Australia</td>
                                                    <td class="text-right">
                                                        119
                                                    </td>
                                                    <td class="text-right">
                                                        2.16%
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <div class="flag">
                                                            <img src="/static/assets/img/flags/ru.png" alt="russia">
                                                        </div>
                                                    </td>
                                                    <td>Russia</td>
                                                    <td class="text-right">
                                                        1.081
                                                    </td>
                                                    <td class="text-right">
                                                        19.65%
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <div class="flag">
                                                            <img src="/static/assets/img/flags/cn.png" alt="china">
                                                        </div>
                                                    </td>
                                                    <td>China</td>
                                                    <td class="text-right">
                                                        1.100
                                                    </td>
                                                    <td class="text-right">
                                                        20%
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <div class="flag">
                                                            <img src="/static/assets/img/flags/br.png" alt="brazil">
                                                        </div>
                                                    </td>
                                                    <td>Brasil</td>
                                                    <td class="text-right">
                                                        640
                                                    </td>
                                                    <td class="text-right">
                                                        11.63%
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="mapcontainer">
                                        <div id="map-example" class="vmap"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>-->
            <!--<div class="row">
                <div class="col-md-4">
                    <div class="card">
                        <div class="card-header">
                            <div class="card-title">Top Products</div>
                        </div>
                        <div class="card-body pb-0">
                            <div class="d-flex">
                                <div class="avatar">
                                    <img src="/static/assets/img/logoproduct.svg" alt="..." class="avatar-img rounded-circle">
                                </div>
                                <div class="flex-1 pt-1 ml-2">
                                    <h6 class="fw-bold mb-1">CSS</h6>
                                    <small class="text-muted">Cascading Style Sheets</small>
                                </div>
                                <div class="d-flex ml-auto align-items-center">
                                    <h3 class="text-info fw-bold">+$17</h3>
                                </div>
                            </div>
                            <div class="separator-dashed"></div>
                            <div class="d-flex">
                                <div class="avatar">
                                    <img src="/static/assets/img/logoproduct.svg" alt="..." class="avatar-img rounded-circle">
                                </div>
                                <div class="flex-1 pt-1 ml-2">
                                    <h6 class="fw-bold mb-1">J.CO Donuts</h6>
                                    <small class="text-muted">The Best Donuts</small>
                                </div>
                                <div class="d-flex ml-auto align-items-center">
                                    <h3 class="text-info fw-bold">+$300</h3>
                                </div>
                            </div>
                            <div class="separator-dashed"></div>
                            <div class="d-flex">
                                <div class="avatar">
                                    <img src="/static/assets/img/logoproduct3.svg" alt="..." class="avatar-img rounded-circle">
                                </div>
                                <div class="flex-1 pt-1 ml-2">
                                    <h6 class="fw-bold mb-1">Ready Pro</h6>
                                    <small class="text-muted">Bootstrap 4 Admin Dashboard</small>
                                </div>
                                <div class="d-flex ml-auto align-items-center">
                                    <h3 class="text-info fw-bold">+$350</h3>
                                </div>
                            </div>
                            <div class="separator-dashed"></div>
                            <div class="pull-in">
                                <canvas id="topProductsChart"></canvas>
                            </div>
                        </div>
                    </div>
                </div>-->
                <!--<div class="col-md-4">
                    <div class="card">
                        <div class="card-body">
                            <div class="card-title fw-mediumbold">Suggested People</div>
                            <div class="card-list">
                                <div class="item-list">
                                    <div class="avatar">
                                        <img src="/static/assets/img/jm_denis.jpg" alt="..." class="avatar-img rounded-circle">
                                    </div>
                                    <div class="info-user ml-3">
                                        <div class="username">Jimmy Denis</div>
                                        <div class="status">Graphic Designer</div>
                                    </div>
                                    <button class="btn btn-icon btn-primary btn-round btn-xs">
                                        <i class="fa fa-plus"></i>
                                    </button>
                                </div>
                                <div class="item-list">
                                    <div class="avatar">
                                        <img src="/static/assets/img/chadengle.jpg" alt="..." class="avatar-img rounded-circle">
                                    </div>
                                    <div class="info-user ml-3">
                                        <div class="username">Chad</div>
                                        <div class="status">CEO Zeleaf</div>
                                    </div>
                                    <button class="btn btn-icon btn-primary btn-round btn-xs">
                                        <i class="fa fa-plus"></i>
                                    </button>
                                </div>
                                <div class="item-list">
                                    <div class="avatar">
                                        <img src="/static/assets/img/talha.jpg" alt="..." class="avatar-img rounded-circle">
                                    </div>
                                    <div class="info-user ml-3">
                                        <div class="username">Talha</div>
                                        <div class="status">Front End Designer</div>
                                    </div>
                                    <button class="btn btn-icon btn-primary btn-round btn-xs">
                                        <i class="fa fa-plus"></i>
                                    </button>
                                </div>
                                <div class="item-list">
                                    <div class="avatar">
                                        <img src="/static/assets/img/mlane.jpg" alt="..." class="avatar-img rounded-circle">
                                    </div>
                                    <div class="info-user ml-3">
                                        <div class="username">John Doe</div>
                                        <div class="status">Back End Developer</div>
                                    </div>
                                    <button class="btn btn-icon btn-primary btn-round btn-xs">
                                        <i class="fa fa-plus"></i>
                                    </button>
                                </div>
                                <div class="item-list">
                                    <div class="avatar">
                                        <img src="/static/assets/img/talha.jpg" alt="..." class="avatar-img rounded-circle">
                                    </div>
                                    <div class="info-user ml-3">
                                        <div class="username">Talha</div>
                                        <div class="status">Front End Designer</div>
                                    </div>
                                    <button class="btn btn-icon btn-primary btn-round btn-xs">
                                        <i class="fa fa-plus"></i>
                                    </button>
                                </div>
                                <div class="item-list">
                                    <div class="avatar">
                                        <img src="/static/assets/img/jm_denis.jpg" alt="..." class="avatar-img rounded-circle">
                                    </div>
                                    <div class="info-user ml-3">
                                        <div class="username">Jimmy Denis</div>
                                        <div class="status">Graphic Designer</div>
                                    </div>
                                    <button class="btn btn-icon btn-primary btn-round btn-xs">
                                        <i class="fa fa-plus"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>-->
                <!--<div class="col-md-4">
                    <div class="card card-primary bg-primary-gradient">
                        <div class="card-body">
                            <h4 class="mt-3 b-b1 pb-2 mb-4 fw-bold">Active user right now</h4>
                            <h1 class="mb-4 fw-bold">17</h1>
                            <h4 class="mt-3 b-b1 pb-2 mb-5 fw-bold">Page view per minutes</h4>
                            <div id="activeUsersChart"></div>
                            <h4 class="mt-5 pb-3 mb-0 fw-bold">Top active pages</h4>
                            <ul class="list-unstyled">
                                <li class="d-flex justify-content-between pb-1 pt-1"><small>/product/readypro/index.html</small> <span>7</span></li>
                                <li class="d-flex justify-content-between pb-1 pt-1"><small>/product/atlantis/demo.html</small> <span>10</span></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>-->
            <!--<div class="row">
                <div class="col-md-6">
                    <div class="card full-height">
                        <div class="card-header">
                            <div class="card-title">Feed Activity</div>
                        </div>
                        <div class="card-body">
                            <ol class="activity-feed">
                                <li class="feed-item feed-item-secondary">
                                    <time class="date" datetime="9-25">Sep 25</time>
                                    <span class="text">Responded to need <a href="#">"Volunteer opportunity"</a></span>
                                </li>
                                <li class="feed-item feed-item-success">
                                    <time class="date" datetime="9-24">Sep 24</time>
                                    <span class="text">Added an interest <a href="#">"Volunteer Activities"</a></span>
                                </li>
                                <li class="feed-item feed-item-info">
                                    <time class="date" datetime="9-23">Sep 23</time>
                                    <span class="text">Joined the group <a href="single-group.php">"Boardsmanship Forum"</a></span>
                                </li>
                                <li class="feed-item feed-item-warning">
                                    <time class="date" datetime="9-21">Sep 21</time>
                                    <span class="text">Responded to need <a href="#">"In-Kind Opportunity"</a></span>
                                </li>
                                <li class="feed-item feed-item-danger">
                                    <time class="date" datetime="9-18">Sep 18</time>
                                    <span class="text">Created need <a href="#">"Volunteer Opportunity"</a></span>
                                </li>
                                <li class="feed-item">
                                    <time class="date" datetime="9-17">Sep 17</time>
                                    <span class="text">Attending the event <a href="single-event.php">"Some New Event"</a></span>
                                </li>
                            </ol>
                        </div>
                    </div>
                </div>-->
                <!--<div class="col-md-6">
                    <div class="card full-height">
                        <div class="card-header">
                            <div class="card-head-row">
                                <div class="card-title">Support Tickets</div>
                                <div class="card-tools">
                                    <ul class="nav nav-pills nav-secondary nav-pills-no-bd nav-sm" id="pills-tab" role="tablist">
                                        <li class="nav-item">
                                            <a class="nav-link" id="pills-today" data-toggle="pill" href="#pills-today" role="tab" aria-selected="true">Today</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link active" id="pills-week" data-toggle="pill" href="#pills-week" role="tab" aria-selected="false">Week</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" id="pills-month" data-toggle="pill" href="#pills-month" role="tab" aria-selected="false">Month</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>-->
                        <!--<div class="card-body">
                            <div class="d-flex">
                                <div class="avatar avatar-online">
                                    <span class="avatar-title rounded-circle border border-white bg-info">J</span>
                                </div>
                                <div class="flex-1 ml-3 pt-1">
                                    <h6 class="text-uppercase fw-bold mb-1">Joko Subianto <span class="text-warning pl-3">pending</span></h6>
                                    <span class="text-muted">I am facing some trouble with my viewport. When i start my</span>
                                </div>
                                <div class="float-right pt-1">
                                    <small class="text-muted">8:40 PM</small>
                                </div>
                            </div>
                            <div class="separator-dashed"></div>
                            <div class="d-flex">
                                <div class="avatar avatar-offline">
                                    <span class="avatar-title rounded-circle border border-white bg-secondary">P</span>
                                </div>
                                <div class="flex-1 ml-3 pt-1">
                                    <h6 class="text-uppercase fw-bold mb-1">Prabowo Widodo <span class="text-success pl-3">open</span></h6>
                                    <span class="text-muted">I have some query regarding the license issue.</span>
                                </div>
                                <div class="float-right pt-1">
                                    <small class="text-muted">1 Day Ago</small>
                                </div>
                            </div>
                            <div class="separator-dashed"></div>
                            <div class="d-flex">
                                <div class="avatar avatar-away">
                                    <span class="avatar-title rounded-circle border border-white bg-danger">L</span>
                                </div>
                                <div class="flex-1 ml-3 pt-1">
                                    <h6 class="text-uppercase fw-bold mb-1">Lee Chong Wei <span class="text-muted pl-3">closed</span></h6>
                                    <span class="text-muted">Is there any update plan for RTL version near future?</span>
                                </div>
                                <div class="float-right pt-1">
                                    <small class="text-muted">2 Days Ago</small>
                                </div>
                            </div>
                            <div class="separator-dashed"></div>
                            <div class="d-flex">
                                <div class="avatar avatar-offline">
                                    <span class="avatar-title rounded-circle border border-white bg-secondary">P</span>
                                </div>
                                <div class="flex-1 ml-3 pt-1">
                                    <h6 class="text-uppercase fw-bold mb-1">Peter Parker <span class="text-success pl-3">open</span></h6>
                                    <span class="text-muted">I have some query regarding the license issue.</span>
                                </div>
                                <div class="float-right pt-1">
                                    <small class="text-muted">2 Day Ago</small>
                                </div>
                            </div>
                            <div class="separator-dashed"></div>
                            <div class="d-flex">
                                <div class="avatar avatar-away">
                                    <span class="avatar-title rounded-circle border border-white bg-danger">L</span>
                                </div>
                                <div class="flex-1 ml-3 pt-1">
                                    <h6 class="text-uppercase fw-bold mb-1">Logan Paul <span class="text-muted pl-3">closed</span></h6>
                                    <span class="text-muted">Is there any update plan for RTL version near future?</span>
                                </div>
                                <div class="float-right pt-1">
                                    <small class="text-muted">2 Days Ago</small>
                                </div>
                            </div>
                        </div>-->
                    </div>
                </div>
            </div>
        </div>
    </div>
   {% endif %}
{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}

    <script>

        Circles.create({
            id:'circles-total',
            radius:60,
            value:{{ ct['daily_count'][-1]['accumulate'] }},
            maxValue:{{ ct['daily_count'][-1]['accumulate'] }},
            width:7,
            text: function() {
                    return this.getPercent() + '%';
                        },
            colors:['#ffffff', '#00ff00'],
            duration:400,
            wrpClass:'circles-wrp',
            textClass:'circles-text',
            styleWrapper:true,
            styleText:true
        })

        Circles.create({
            id:'circles-recuperated',
            radius:60,
            value:{{ ct['total_recuperated'] }},
            maxValue:{{ ct['daily_count'][-1]['accumulate'] }},
            width:7,
            text: function() {
                    return this.getPercent().toFixed(1) + '%';
                        },
            colors:['#00ff00', '#0000ff'],
            duration:400,
            wrpClass:'two-digits-float',
            textClass:'two-digits-float',
            styleText:'two-digits-float',
            styleWrapper:true,
            styleText:true
        })

        Circles.create({
            id:'circles-deceased',
            radius:60,
            value:{{ ct['total_deceased'] }},
            maxValue:{{ ct['daily_count'][-1]['accumulate'] }},
            width:7,
            text: function() {
                    return this.getPercent().toFixed(1) + '%';
                        },
            colors:['#00ff00', '#FF0000'],
            duration:400,
            wrpClass:'circles-wrp',
            textClass:'circles-text',
            styleWrapper:true,
            styleText:true
        })

        Circles.create({
            id:'circles-positive',
            radius:60,
            value:{{ ct['daily_count'][-1]["accumulate_positives"] }},
            maxValue:{{ ct['daily_count'][-1]['accumulate'] }},
            width:7,
            text: function() {
                    return this.getPercent().toFixed(1) + '%';
                        },
            colors:['#00ff00', '#FF0000'],
            duration:400,
            wrpClass:'circles-wrp',
            textClass:'circles-text',
            styleWrapper:true,
            styleText:true
        })

        Circles.create({
            id:'circles-negative',
            radius:60,
            value:{{ ct['daily_count'][-1]["accumulate_negatives"] }},
            maxValue:{{ ct['daily_count'][-1]['accumulate'] }},
            width:7,
            text: function() {
                    return this.getPercent().toFixed(1) + '%';
                        },
            colors:['#00ff00', '#FF0000'],
            duration:400,
            wrpClass:'circles-wrp',
            textClass:'circles-text',
            styleWrapper:true,
            styleText:true
        })

        /*Resultados del contact tracing*/
        var ct_json = JSON.parse({{ ct_json | tojson }});
        //Curvas de acumulados

        $('#accumulativeChart').sparkline(ct_json.daily_count.map(function(o) { return o.accumulate}), {
            type: 'line',
            height: '100',
            width: '100%',
            lineWidth: '2',
            lineColor: '#ff0000',
            fillColor: 'rgba(255, 165, 52, .14)',
            tooltipSuffix: ' Conteo diario acumulado',
            chartRangeMax: ct_json.max_accumulative,
            chartRangeMin: '0'
        });

        $('#accumulativeChart').sparkline(ct_json.daily_count.map(function(o) { return o.accumulate_calls}), {
            lineColor: '#00ff00',
            fillColor: 'rgba(255, 165, 52, .14)',
            tooltipSuffix: ' Llamados diarios acumulados',
            chartRangeMax: ct_json.max_accumulative,
            chartRangeMin: '0',
            composite:true
        });

        $('#accumulativeChart').sparkline(ct_json.daily_count.map(function(o) { return o.accumulate_positives}), {
            lineColor: '#0000ff',
            fillColor: 'rgba(255, 165, 52, .14)',
            tooltipSuffix: ' Positivos acumulados',
            chartRangeMax: ct_json.max_accumulative,
            chartRangeMin: '0',
            composite:true
        });

        $('#accumulativeChart').sparkline(ct_json.daily_count.map(function(o) { return o.accumulate_negatives}), {
            lineColor: '#00aaff',
            fillColor: 'rgba(255, 165, 52, .14)',
            tooltipSuffix: ' Negativos acumulados',
            chartRangeMax: ct_json.max_accumulative,
            chartRangeMin: '0',
            composite:true
        });

        $('#accumulativeChart').bind('sparklineRegionChange', function(ev) {
            var sparkline = ev.sparklines[0],
            region = sparkline.getCurrentRegionFields(),
            value = region.y;
            $('.mouseoverregionAccumulative').text("Fecha="+ct_json.daily_count[region.x].day+
                                       "\n Contactos Acumulados="+ct_json.daily_count[region.x].accumulate+
                                       "\n Llamados Acumulados="+ct_json.daily_count[region.x].accumulate_calls+
                                       "\n Positivos Acumulados="+ct_json.daily_count[region.x].accumulate_positives+
                                       "\n Negativos Acumulados="+ct_json.daily_count[region.x].accumulate_negatives
                                       );
            }).bind('mouseleave', function() {
            $('.mouseoverregionAccumulative').text('Pase el mouse sobre las curvas');
            });

        //Curvas de conteos diarios
        $('#dailyCountChart').sparkline(ct_json.daily_count.map(function(o) { return o.count}), {
            type: 'line',
            height: '100',
            width: '100%',
            lineWidth: '2',
            lineColor: '#ff0000',
            fillColor: 'rgba(255, 165, 52, .14)',
            tooltipSuffix: ' Conteo diario',
            chartRangeMax: ct_json.max_daily,
            chartRangeMin: '0'
        });

        $('#dailyCountChart').sparkline(ct_json.daily_count.map(function(o) { return o.calls}), {
            lineColor: '#00ff00',
            fillColor: 'rgba(255, 165, 52, .14)',
            tooltipSuffix: ' Llamados diarios',
            chartRangeMax: ct_json.max_daily,
            chartRangeMin: '0',
            composite:true
        });

        $('#dailyCountChart').sparkline(ct_json.daily_count.map(function(o) { return o.positives}), {
            lineColor: '#0000ff',
            fillColor: 'rgba(255, 165, 52, .14)',
            tooltipSuffix: ' Positivos',
            chartRangeMax: ct_json.max_daily,
            chartRangeMin: '0',
            composite:true
        });

        $('#dailyCountChart').sparkline(ct_json.daily_count.map(function(o) { return o.negatives}), {
            lineColor: '#00aaff',
            fillColor: 'rgba(255, 165, 52, .14)',
            tooltipSuffix: ' Negativos',
            chartRangeMax: ct_json.max_daily,
            chartRangeMin: '0',
            composite:true
        });

        $('#dailyCountChart').bind('sparklineRegionChange', function(ev) {
            var sparkline = ev.sparklines[0],
            region = sparkline.getCurrentRegionFields(),
            value = region.y;
            $('.mouseoverregion').text("Fecha="+ct_json.daily_count[region.x].day+" Contactos="+region.y+
                                       "\n Llamados="+ct_json.daily_count[region.x].calls+
                                       "\n Positivos="+ct_json.daily_count[region.x].positives+
                                       "\n Negativos="+ct_json.daily_count[region.x].negatives
                                       );
            }).bind('mouseleave', function() {
            $('.mouseoverregion').text('Pase el mouse sobre las curvas');
            });

    </script>

{% endblock javascripts %}
